MediaWiki:Common.css

From Bitcraft Wiki
Revision as of 15:00, 27 December 2025 by Stewiee (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
:root {
    --body-main: #fdfcfc;
    --body-light: #e7e5e4;
    --body-mid: #cbb7ae;
    --body-dark: #9f847a;
    --body-darker: #755c52;
    --body-border: #bba9a1;
    --body-border-dark: #bba9a1;
    --body-background-color: #173a4d;
    --button-background: #605443;
    --button-color: #fff;
    --button-border: #3c352a;
    --button-dark: #18140c;
    --button-light: #3a301d;
    --tooltip-button-background: #3a301d;
    --sidebar: #cfc08d;
    --background-text-color: #e2dbc8;
    --background-link-color: #e2bd8a;
    --search-box: #fdfcfc;
    --link-color: #8b694f;
    --table-header-link: #6d5248;
    --redlink-color: #cd4343;
    --text-color: #2F2828;
    --byline-color: #4c4c4c;
    --subtle-color: #afa19a;
    --admin-color: #6bc71f;
    --bureaucrat-color: #855cd8;
    --awb-color: #e874cf;
    --rsw-blue: #438ab6;
    --osrsw-brown: #605443;
    --thumb-bg: var(--body-light);
    --thumb-caption-bg: var(--body-dark);
    --sourceeditor-input-background: #fff;
    --sourceeditor-background: var(--body-light);
    --sourceeditor-background-secondary: var(--body-light);
    --sourceeditor-border: var(--body-mid);
    --codemirror-gutter-background: var(--body-mid);
}

@font-face { 
    font-family: 'Lora';
    font-weight: 400 700;
    font-style: normal;
    font-display: swap;
    src: url('filepath://Lora.woff2') format('woff2');
}

@font-face { 
    font-family: 'Lora';
    font-weight: 400 700;
    font-style: italic;
    font-display: swap;
    src: url('filepath://Lora-Italic.woff2') format('woff2');
}

:root {
    --base-text-color: #36414f;
    --base-heading-color: #444e5a;
    --base-heading-border: #e4eaee;
    --mw-code-background-color: var(--body-light);
    --body-background-image: url('/images/background.png');
}

#mw-page-base {
    background: none;
}

.mw-body {
    background-color: var(--body-main);
    color: var(--text-color);
    border-color: transparent;
    box-shadow: 0 0 7px rgba(0, 0, 0, 0.15);
    margin-top: 0;
}